# Welcome to pygit2’s documentation!

Pygit2 is a set of Python bindings to the libgit2 shared library, libgit2 implements the core of Git. Pygit2 works with Python 2.7, 3.3, 3.4, 3.5, 3.6 and pypy.

It is likely to work with Python 2.6 and 3.1, but these versions are not officially supported.

Links:

- https://github.com/libgit2/pygit2 – Source code and issue tracker
- http://www.pygit2.org/ – Documentation
- https://pypi.python.org/pypi/pygit2 – Download
- https://github.com/libgit2/pygit2/blob/master/CHANGELOG.rst – Changelog

Start:

- Installation
- The development version
- pygit2 Recipes

Usage guide:

- General
- The repository
- Object IDs
- Git Objects
- References
- Revision parsing
- Commit log
- The Index file and the Working copy
- Diff
- Merge & Cherrypick
- Configuration files
- Remotes
- Submodules
- Blame
- Settings
- Feature detection
- Custom backends

# Indices and tables

- Index
- Module Index
- Search Page